U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator Struct Reference

`#include <uset.h>`

## Public Member Functions

| iterator (UChar32 c)
bool | operator== (const iterator &other) const
bool | operator!= (const iterator &other) const
UChar32 | operator* () const
iterator & | operator++ ()
| Pre-increment. More...
iterator | operator++ (int)
| Post-increment. More...

## Data Fields

UChar32 | c
| The current code point in the range. More...

## Detailed Description

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1461 of file uset.h.

## Constructor & Destructor Documentation

## iterator()

U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::iterator | ( | UChar32 | c | ) |

inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1463 of file uset.h.

## Member Function Documentation

## operator!=()

bool U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator!= | ( | const iterator & | other | ) | const

inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1468 of file uset.h.

References operator==().

## operator*()

UChar32 U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator* | ( |  | ) | const

inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1471 of file uset.h.

References c.

## operator++() [1/2]

iterator& U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator++ | ( |  | ) |

inline

Pre-increment.

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1477 of file uset.h.

References c.

## operator++() [2/2]

iterator U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator++ | ( | int |  | ) |

inline

Post-increment.

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1486 of file uset.h.

References c.

## operator==()

bool U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator== | ( | const iterator & | other | ) | const

inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1466 of file uset.h.

References c.

Referenced by operator!=().

## Field Documentation

## c

UChar32 U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::c

The current code point in the range.

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1494 of file uset.h.

Referenced by operator*(), operator++(), and operator==().

The documentation for this struct was generated from the following file:

- common/unicode/uset.h